import { IgrToolAction } from "./igr-tool-action";
import { ToolActionCheckbox } from "./ToolActionCheckbox";
import { ensureBool } from "igniteui-react-core";
export class IgrToolActionCheckbox extends IgrToolAction {
    createImplementation() {
        return new ToolActionCheckbox();
    }
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets if the tool action is checked.
    */
    get isChecked() {
        return this.i.e8;
    }
    set isChecked(v) {
        this.i.e8 = ensureBool(v);
    }
    fromInfo(info) {
        this.i.dt(info);
    }
}
